Package org.optaplanner.core.config.localsearch

## Class LocalSearchPhaseConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.phase.PhaseConfig<LocalSearchPhaseConfig>
    - - org.optaplanner.core.config.localsearch.LocalSearchPhaseConfig

-     public class LocalSearchPhaseConfig
      extends PhaseConfig<LocalSearchPhaseConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected LocalSearchType` | `localSearchType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalSearchPhaseConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Acceptor` | `buildAcceptor​(HeuristicConfigPolicy configPolicy)` |
    `protected LocalSearchForager` | `buildForager​(HeuristicConfigPolicy configPolicy)` |
    `protected MoveSelector` | `buildMoveSelector​(HeuristicConfigPolicy configPolicy)` |
    `LocalSearchPhase` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)` |
    `LocalSearchPhaseConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `AcceptorConfig` | `getAcceptorConfig()` |
    `LocalSearchForagerConfig` | `getForagerConfig()` |
    `LocalSearchType` | `getLocalSearchType()` |
    `MoveSelectorConfig` | `getMoveSelectorConfig()` |
    `LocalSearchPhaseConfig` | `inherit​(LocalSearchPhaseConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setAcceptorConfig​(AcceptorConfig acceptorConfig)` |
    `void` | `setForagerConfig​(LocalSearchForagerConfig foragerConfig)` |
    `void` | `setLocalSearchType​(LocalSearchType localSearchType)` |
    `void` | `setMoveSelectorConfig​(MoveSelectorConfig moveSelectorConfig)` |
    `LocalSearchPhaseConfig` | `withAcceptorConfig​(AcceptorConfig acceptorConfig)` |
    `LocalSearchPhaseConfig` | `withForagerConfig​(LocalSearchForagerConfig foragerConfig)` |
    `LocalSearchPhaseConfig` | `withLocalSearchType​(LocalSearchType localSearchType)` |
    `LocalSearchPhaseConfig` | `withMoveSelectorConfig​(MoveSelectorConfig moveSelectorConfig)` |

    - ### Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig

      `buildPhaseTermination, getTerminationConfig, setTerminationConfig, toString`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### localSearchType

          protected LocalSearchType localSearchType

  - ### Constructor Detail

    - #### LocalSearchPhaseConfig

          public LocalSearchPhaseConfig()

  - ### Method Detail

    - #### getLocalSearchType

          public LocalSearchType getLocalSearchType()

    - #### setLocalSearchType

          public void setLocalSearchType​(LocalSearchType localSearchType)

    - #### getMoveSelectorConfig

          public MoveSelectorConfig getMoveSelectorConfig()

    - #### setMoveSelectorConfig

          public void setMoveSelectorConfig​(MoveSelectorConfig moveSelectorConfig)

    - #### getAcceptorConfig

          public AcceptorConfig getAcceptorConfig()

    - #### setAcceptorConfig

          public void setAcceptorConfig​(AcceptorConfig acceptorConfig)

    - #### getForagerConfig

          public LocalSearchForagerConfig getForagerConfig()

    - #### setForagerConfig

          public void setForagerConfig​(LocalSearchForagerConfig foragerConfig)

    - #### withLocalSearchType

          public LocalSearchPhaseConfig withLocalSearchType​(LocalSearchType localSearchType)

    - #### withMoveSelectorConfig

          public LocalSearchPhaseConfig withMoveSelectorConfig​(MoveSelectorConfig moveSelectorConfig)

    - #### withAcceptorConfig

          public LocalSearchPhaseConfig withAcceptorConfig​(AcceptorConfig acceptorConfig)

    - #### withForagerConfig

          public LocalSearchPhaseConfig withForagerConfig​(LocalSearchForagerConfig foragerConfig)

    - #### buildPhase

          public LocalSearchPhase buildPhase​(int phaseIndex,
                                             HeuristicConfigPolicy solverConfigPolicy,
                                             BestSolutionRecaller bestSolutionRecaller,
                                             Termination solverTermination)

      Specified by:
        `buildPhase` in class `PhaseConfig<LocalSearchPhaseConfig>`

    - #### buildAcceptor

          protected Acceptor buildAcceptor​(HeuristicConfigPolicy configPolicy)

    - #### buildForager

          protected LocalSearchForager buildForager​(HeuristicConfigPolicy configPolicy)

    - #### buildMoveSelector

          protected MoveSelector buildMoveSelector​(HeuristicConfigPolicy configPolicy)

    - #### inherit

          public LocalSearchPhaseConfig inherit​(LocalSearchPhaseConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `PhaseConfig<LocalSearchPhaseConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public LocalSearchPhaseConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<LocalSearchPhaseConfig>`
      Returns:
        new instance